#!/bin/bash -e

if [ "${TEST_TARGET:-}" = "INTEGRATION" ]; then
    /usr/src/app/.venv/bin/gunicorn src.api.main:app --worker-class uvicorn.workers.UvicornWorker
else
    python -m pytest "src/tests" --junitxml=report.xml
    python -m pytest "src/tests" -p no:warnings --cov="src" --cov-report xml

    flake8 src --extend-ignore E221 --extend-ignore E501
    black src --check
    isort . --src-path src --check --profile black

    # bandit -c .bandit.yml -r .
fi
