from asyncreq import request
from fastapi import APIRouter, HTTPException, Request

from src.api.config import API_NOTIFICATIONS
from src.api.schemas.notification import Update as Message

router = APIRouter()


@router.post("")
async def receive_message(message: Message, req: Request):
    print(message.model_dump())
    request_id = req.state.request_id
    header = {"x-api-request-id": request_id}
    (response, status, _) = await request(
        f"{API_NOTIFICATIONS}", "POST", json=message.model_dump(), headers=header
    )
    if status < 200 or status > 204:
        raise HTTPException(status_code=status, detail=response)
    return response
